> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipeline Execution Details

> Returns the full details of a pipeline execution, including its current status, trigger, timings, and result message. If you only need to poll for status changes, consider using the lightweight [getExecutionStatusOnly](#operation/getExecutionStatusOnly) endpoint instead.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}:
    get:
      tags:
        - Pipeline Execution
      summary: Pipeline Execution Details
      description: >-
        Returns the full details of a pipeline execution, including its current
        status, trigger, timings, and result message. If you only need to poll
        for status changes, consider using the lightweight
        [getExecutionStatusOnly](#operation/getExecutionStatusOnly) endpoint
        instead.
      operationId: getExecutionStatus
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: pipelineExecutionId
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineExecution'
          description: Pipeline execution details have been retrieved
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Pipeline Execution not Found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Gateway timeout
components:
  schemas:
    PipelineExecution:
      type: object
      properties:
        environmentName:
          type: string
          description: The name of the environment the pipeline was executed in
          example: Dev
        finishedAt:
          type: string
          format: date-time
          description: The time the pipeline execution finished
        message:
          type: string
          description: The message returned by the pipeline execution
          example: '"Rewrite Table": Success'
        pipelineExecutionId:
          type: string
          description: The ID of the pipeline execution
          example: fd05a6c4-b3e1-4441-86a2-044d5092731d
        pipelineName:
          type: string
          description: The name of the pipeline executed
          example: My Pipeline
        pipelineType:
          type: string
          description: The type of pipeline executed
          example: ORCHESTRATION
        projectId:
          type: string
          description: The id of the project the pipeline was executed in
          example: 4a8a6162-702b-4efc-b2ec-c986e0bc95e4
        scheduleId:
          type: string
          description: >-
            The id of the schedule that triggered the pipeline execution if
            trigger is SCHEDULE
          example: 9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43
        startedAt:
          type: string
          format: date-time
          description: The time the pipeline execution started
        status:
          type: string
          description: Status of executed pipeline
          example: RUNNING
        trigger:
          type: string
          description: The trigger of the pipeline execution
          enum:
            - DESIGNER
            - API
            - SCHEDULE
            - SCHEDULE_RUN_NOW
            - UNKNOWN
          example: SCHEDULE
        user:
          type: string
          description: >-
            The user that triggered the pipeline execution. Present when trigger
            is DESIGNER or SCHEDULE_RUN_NOW
          example: A User
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````